import { Injectable } from '@angular/core';
import { APIService } from 'app/commons/service/api.service';

import { Member } from '../model/member';

@Injectable()
export class MemberService {

  public constructor(
    private apiService: APIService,
  ) { }

  public signin(email: string, password: string) {
    this.apiService.call<Member>('MemberService.signin', email, password).subscribe(
      (member: Member) => {

      },
      (error: any) => {

      }
    );
  }
}
